httpd-users-de mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bernd Klaftenegger <kla...@inode.at>
Subject Re: AW: Mod_perl / Apache::Request
Date Wed, 10 Jan 2007 09:43:19 GMT
Hallo Thomas,

die verwendeten Versionen sind:

This is perl, v5.8.8 built for i686-linux
Apache httpd-2.2.3
mod_perl-2.0.3
(auch lt. CPAN ist mod_perl aktuell,
   cpan> install mod_perl
   mod_perl is up to date. )

Fehlermeldung, die ich erhalte ist:
Can't locate object method "request" via package "Apache" at 
/opt/flexTPS/portal/www/perl/portal.pl line 55.

Danke,
Lg
Bernd



Thomas Goik schrieb:
> Hallo Bernd,
> 
>> mod_perl-2.0.3
> Ist das nicht nur für Apache2?
> 
> Weiß es aber auch nicht so genau!
> 
> So weit ich weiß findest du alles in dem mod_perl packet was du benötigst.
> 
> Welches Linux verwendest du denn?
> Apache?
> Perl?
> 
> 
> Gruß Thomas
> 
> 
> -----Ursprüngliche Nachricht-----
> Von: Bernd Klaftenegger [mailto:klafti@inode.at] 
> Gesendet: Mittwoch, 10. Januar 2007 00:39
> An: users-de@httpd.apache.org
> Betreff: Mod_perl / Apache::Request
> 
> Hallo allerseits,
> 
> ich versuche - mittlerweile mit allerhand Aufwand - Apache::Request zu 
> installieren.
> 
> Ich habe sowohl Apache als auch mod_perl kompiliert (lief problemlos), 
> nur beim Versuch, via CPAN Apache::Request zu installieren kommts zu 
> Problemen, ein install Apache::Request bricht mit folgenden Meldungen ab:
> 
> ===
> [....]
> CPAN.pm: Going to build S/ST/STAS/libapreq-1.33.tar.gz
> Please install mod_perl: 1.25 < version < 1.99
> (Can't locate mod_perl.pm in @INC [Pfade angegeben]
> ====
> 
> Ich habe mod_perl-2.0.3 installiert, dieses generierte ein mod_perl2.pm, 
> ich habe auch versucht, dieses umzubenennen und zu kopieren, war aber 
> erfolglos.
> 
> Nun meine Fragen, gibts entweder
> 
> a. eine "neuere" Version von Apache::Request, die sich auch gegenüber 
> einer neuen mod_perl.pm kompilieren lässt, oder
> 
> b. einen anderen Weg, das Paket zu installieren (ich habe kein 
> Paketmanagement auf diesem Server zur Verfügung), oder
> 
> c. eine einfache Lösung, es mit dieser Konstellation trotzdem zu 
> installieren ? (ein manuelles Make von Apache::Request komm mit weiteren 
>   6 Abhängigkeiten, wobei ich zB Apache::Constants nicht gefunden habe)
> 
> 
> Bitte um Unterstützung, ich bin mittlerweile ratlos
> 
> Danke,
> 
> Lg
> Bernd
> 
> 
> --------------------------------------------------------------------------
>                 Apache HTTP Server Mailing List "users-de" 
>       unsubscribe-Anfragen an users-de-unsubscribe@httpd.apache.org
>            sonstige Anfragen an users-de-help@httpd.apache.org
> --------------------------------------------------------------------------
> 
> 
> 
> 
> --------------------------------------------------------------------------
>                 Apache HTTP Server Mailing List "users-de" 
>       unsubscribe-Anfragen an users-de-unsubscribe@httpd.apache.org
>            sonstige Anfragen an users-de-help@httpd.apache.org
> --------------------------------------------------------------------------
> 
> 

--------------------------------------------------------------------------
                Apache HTTP Server Mailing List "users-de" 
      unsubscribe-Anfragen an users-de-unsubscribe@httpd.apache.org
           sonstige Anfragen an users-de-help@httpd.apache.org
--------------------------------------------------------------------------


Mime
View raw message